﻿<img align="left" src="https://github.com/D-a-n-i-l-o/raylib-purebasic/blob/master/raylib-purebasic.png" width=256>

<br><br><br><br><br><br><br><br><br><br>

# raylib-purebasic

## Examples List

### Category: core

Examples using raylib core platform functionality like window creation, inputs, drawing modes and system functionality.

| ## | example  | image  | developer  | new |
|----|----------|--------|:----------:|:---:|
| 01 | [core_basic_window](core/core_basic_window.pb)                     | <img src="core/screenshots/core_basic_window.png" alt="core_basic_window" width="200">                     | ray        |    |
| 02 | [core_input_keys](core/core_input_keys.pb)                         | <img src="core/screenshots/core_input_keys.png" alt="core_input_keys" width="200">                         | ray        |    |
| 03 | [core_input_mouse](core/core_input_mouse.pb)                       | <img src="core/screenshots/core_input_mouse.png" alt="core_input_mouse" width="200">                       | ray        |    |
| 04 | [core_input_mouse_wheel](core/core_input_mouse_wheel.pb)           | <img src="core/screenshots/core_input_mouse_wheel.png" alt="core_input_mouse_wheel" width="200">           | ray        |    |
| 05 | [core_input_gamepad](core/core_input_gamepad.pb)                   | <img src="core/screenshots/core_input_gamepad.png" alt="core_input_gamepad" width="200">                   | ray        |    |
| 06 | [core_input_multitouch](core/core_input_multitouch.pb)             | <img src="core/screenshots/core_input_multitouch.png" alt="core_input_multitouch" width="200">             | [Berni](https://github.com/Berni8k) |    |
| 07 | [core_input_gestures](core/core_input_gestures.pb)                 | <img src="core/screenshots/core_input_gestures.png" alt="core_input_gestures" width="200">                 | ray        |    |
| 08 | [core_2d_camera](core/core_2d_camera.pb)                           | <img src="core/screenshots/core_2d_camera.png" alt="core_2d_camera" width="200">                           | ray        |    |
| 09 | [core_2d_camera_platformer](core/core_2d_camera_platformer.pb)     | <img src="core/screenshots/core_2d_camera_platformer.png" alt="core_2d_camera_platformer" width="200">     | [avyy](https://github.com/avyy) | ⭐️  |
| 10 | [core_3d_camera_mode](core/core_3d_camera_mode.pb)                 | <img src="core/screenshots/core_3d_camera_mode.png" alt="core_3d_camera_mode" width="200">                 | ray        |     |
| 11 | [core_3d_camera_free](core/core_3d_camera_free.pb)                 | <img src="core/screenshots/core_3d_camera_free.png" alt="core_3d_camera_free" width="200">                 | ray        |     |
| 12 | [core_3d_camera_first_person](core/core_3d_camera_first_person.pb) | <img src="core/screenshots/core_3d_camera_first_person.png" alt="core_3d_camera_first_person" width="200"> | ray        |     |
| 13 | [core_3d_picking](core/core_3d_picking.pb)                         | <img src="core/screenshots/core_3d_picking.png" alt="core_3d_picking" width="200">                         | ray        |     |
| 14 | [core_world_screen](core/core_world_screen.pb)                     | <img src="core/screenshots/core_world_screen.png" alt="core_world_screen" width="200">                     | ray        |     |
| 15 | [core_custom_logging](core/core_custom_logging.pb)                 | <img src="core/screenshots/core_custom_logging.png" alt="core_custom_logging" width="200">                 | [Pablo Marcos](https://github.com/pamarcos) |     |
| 16 | [core_window_letterbox](core/core_window_letterbox.pb)             | <img src="core/screenshots/core_window_letterbox.png" alt="core_window_letterbox" width="200">             | [Anata](https://github.com/anatagawa) |     |
| 17 | [core_drop_files](core/core_drop_files.pb)                         | <img src="core/screenshots/core_drop_files.png" alt="core_drop_files" width="200">                         | ray        |     |
| 18 | [core_random_values](core/core_random_values.pb)                   | <img src="core/screenshots/core_random_values.png" alt="core_random_values" width="200">                   | ray        |     |
| 19 | [core_storage_values](core/core_storage_values.pb)                 | <img src="core/screenshots/core_storage_values.png" alt="core_storage_values" width="200">                 | ray        |     |
| 20 | [core_vr_simulator](core/core_vr_simulator.pb)                     | <img src="core/screenshots/core_vr_simulator.png" alt="core_vr_simulator" width="200">                     | ray        |     |
| 21 | [core_loading_thread](core/core_loading_thread.pb)                 | <img src="core/screenshots/core_loading_thread.png" alt="core_loading_thread" width="200">                 | ray        | ⭐️  |
| 22 | [core_scissor_test](core/core_scissor_test.pb)                     | <img src="core/screenshots/core_scissor_test.png" alt="core_scissor_test" width="200">                     | [Chris Dill](https://github.com/MysteriousSpace)  | ⭐️  |

### Category: shapes

Examples using raylib shapes drawing functionality, provided by raylib `shapes` module.

| ## | example  | image  | developer  | new |
|----|----------|--------|:----------:|:---:|
| 23 | [shapes_basic_shapes](shapes/shapes_basic_shapes.pb)               | <img src="shapes/screenshots/shapes_basic_shapes.png" alt="shapes_basic_shapes" width="200">                       | ray     |     |
| 24 | [shapes_bouncing_ball](shapes/shapes_bouncing_ball.pb)             | <img src="shapes/screenshots/shapes_bouncing_ball.png" alt="shapes_bouncing_ball" width="200">                     | ray     | ⭐️  |
| 25 | [shapes_colors_palette](shapes/shapes_colors_palette.pb)           | <img src="shapes/screenshots/shapes_colors_palette.png" alt="shapes_colors_palette" width="200">                   | ray     |     |
| 26 | [shapes_logo_raylib](shapes/shapes_logo_raylib.pb)                 | <img src="shapes/screenshots/shapes_logo_raylib.png" alt="shapes_logo_raylib" width="200">                         | ray     |     |
| 27 | [shapes_logo_raylib_anim](shapes/shapes_logo_raylib_anim.pb)       | <img src="shapes/screenshots/shapes_logo_raylib_anim.png" alt="shapes_logo_raylib_anim" width="200">               | ray     |     |
| 28 | [shapes_rectangle_scaling](shapes/shapes_rectangle_scaling.pb)     | <img src="shapes/screenshots/shapes_rectangle_scaling.png" alt="shapes_rectangle_scaling" width="200">             | [Vlad Adrian](https://github.com/demizdor) |     |
| 29 | [shapes_lines_bezier](shapes/shapes_lines_bezier.pb)               | <img src="shapes/screenshots/shapes_lines_bezier.png" alt="shapes_lines_bezier" width="200">                       | ray     |     |
| 30 | [shapes_collision_area](shapes/shapes_collision_area.pb)           | <img src="shapes/screenshots/shapes_collision_area.png" alt="shapes_collision_area" width="200">                   | ray     | ⭐️  |
| 31 | [shapes_following_eyes](shapes/shapes_following_eyes.pb)           | <img src="shapes/screenshots/shapes_following_eyes.png" alt="shapes_following_eyes" width="200">                   | ray     | ⭐️  |

### Category: text

Examples using raylib text functionality, including sprite fonts loading/generation and text drawing, provided by raylib `text` module.

| ## | example  | image  | developer  | new |
|----|----------|--------|:----------:|:---:|
| 38 | [text_raylib_fonts](text/text_raylib_fonts.pb)         | <img src="text/screenshots/text_raylib_fonts.png" alt="text_raylib_fonts" width="200">         | ray   |     |
| 39 | [text_font_spritefont](text/text_font_spritefont.pb)   | <img src="text/screenshots/text_font_spritefont.png" alt="text_font_spritefont" width="200">   | ray   |     |
| 40 | [text_font_filters](text/text_font_filters.pb)         | <img src="text/screenshots/text_font_filters.png" alt="text_font_filters" width="200">         | ray   |     |
| 41 | [text_font_loading](text/text_font_loading.pb)         | <img src="text/screenshots/text_font_loading.png" alt="text_font_loading" width="200">         | ray   |     |
| 42 | [text_font_sdf](text/text_font_sdf.pb)                 | <img src="text/screenshots/text_font_sdf.png" alt="text_font_sdf" width="200">                 | ray   | ⭐️  |
| 43 | FormatText() not<br>applicable/required<br>with PureBasic|                                                                                              | ray   |     |
| 44 | [text_input_box](text/text_input_box.pb)               | <img src="text/screenshots/text_input_box.png" alt="text_input_box" width="200">               | ray   |     |
| 45 | [text_writing_anim](text/text_writing_anim.pb)         | <img src="text/screenshots/text_writing_anim.png" alt="text_writing_anim" width="200">         | ray   |     |
| 46 | [text_rectangle_bounds](text/text_rectangle_bounds.pb) | <img src="text/screenshots/text_rectangle_bounds.png" alt="text_rectangle_bounds" width="200"> | [Vlad Adrian](https://github.com/demizdor) |     |

### Category: textures

Examples using raylib textures functionality, including image/textures loading/generation and drawing, provided by raylib `textures` module.

| ## | example  | image  | developer  | new |
|----|----------|--------|:----------:|:---:|
| 48 | [textures_logo_raylib](textures/textures_logo_raylib.pb)                   | <img src="textures/screenshots/textures_logo_raylib.png" alt="textures_logo_raylib" width="200">                   | ray                                              |        |
| 49 | [textures_rectangle](textures/textures_rectangle.pb)                       | <img src="textures/screenshots/textures_rectangle.png" alt="textures_rectangle" width="200">                       | ray                                              |        |
| 50 | [textures_srcrec_dstrec](textures/textures_srcrec_dstrec.pb)               | <img src="textures/screenshots/textures_srcrec_dstrec.png" alt="textures_srcrec_dstrec" width="200">               | ray                                              |        |
| 51 | [textures_image_drawing](textures/textures_image_drawing.pb)               | <img src="textures/screenshots/textures_image_drawing.png" alt="textures_image_drawing" width="200">               | ray                                              |        |
| 52 | [textures_image_generation](textures/textures_image_generation.pb)         | <img src="textures/screenshots/textures_image_generation.png" alt="textures_image_generation" width="200">         | ray                                              |        |
| 53 | [textures_image_loading](textures/textures_image_loading.pb)               | <img src="textures/screenshots/textures_image_loading.png" alt="textures_image_loading" width="200">               | ray                                              |        |
| 54 | [textures_image_processing](textures/textures_image_processing.pb)         | <img src="textures/screenshots/textures_image_processing.png" alt="textures_image_processing" width="200">         | ray                                              |        |
| 55 | [textures_image_text](textures/textures_image_text.pb)                     | <img src="textures/screenshots/textures_image_text.png" alt="textures_image_text" width="200">                     | ray                                              | ⭐️     |
| 56 | [textures_to_image](textures/textures_to_image.pb)                         | <img src="textures/screenshots/textures_to_image.png" alt="textures_to_image" width="200">                         | ray                                              |        |
| 57 | [textures_raw_data](textures/textures_raw_data.pb)                         | <img src="textures/screenshots/textures_raw_data.png" alt="textures_raw_data" width="200">                         | ray                                              |        |
| 58 | [textures_particles_blending](textures/textures_particles_blending.pb)     | <img src="textures/screenshots/textures_particles_blending.png" alt="textures_particles_blending" width="200">     | ray                                              |        |
| 59 | [textures_npatch_drawing](textures/textures_npatch_drawing.pb)             | <img src="textures/screenshots/textures_npatch_drawing.png" alt="textures_npatch_drawing" width="200">             | [Jorge A. Gomes](https://github.com/overdev)     |        |
| 60 | [textures_background_scrolling](textures/textures_background_scrolling.pb) | <img src="textures/screenshots/textures_background_scrolling.png" alt="textures_background_scrolling" width="200"> | ray                                              | ⭐️     |
| 61 | [textures_sprite_button](textures/textures_sprite_button.pb)               | <img src="textures/screenshots/textures_sprite_button.png" alt="textures_sprite_button" width="200">               | ray                                              | ⭐️     |
| 62 | [textures_sprite_explosion](textures/textures_sprite_explosion.pb)         | <img src="textures/screenshots/textures_sprite_explosion.png" alt="textures_sprite_explosion" width="200">         | ray                                              | ⭐️     |
| 63 | [textures_bunnymark](textures/textures_bunnymark.pb)                       | <img src="textures/screenshots/textures_bunnymark.png" alt="textures_bunnymark" width="200">                       | ray                                              | ⭐️     |
| 64 | [textures_mouse_painting](textures/textures_mouse_painting.pb)             | <img src="textures/screenshots/textures_mouse_painting.png" alt="textures_mouse_painting" width="200">             | [Chris Dill](https://github.com/MysteriousSpace) | ⭐️     |

### Category: models

Examples using raylib models functionality, including models loading/generation and drawing, provided by raylib `models` module.

| ## | example  | image  | developer  | new |
|----|----------|--------|:----------:|:---:|

### Category: gui

Examples using `raygui` functionality.

| ## | example  | image  | developer  | new |
|----|----------|--------|:----------:|:---:|
|    | [raygui_portable_window](raygui/raygui_portable_window.pb)              | <img src="raygui/screenshots/raygui_portable_window.png" alt="textures_mouse_painting" width="200">            | ray    |     |
|    | [raygui_frames](raygui/raygui_frames.pb)                                | <img src="raygui/screenshots/raygui_frames.png" alt="textures_mouse_painting" width="200">                     | Danilo |     |
|    | [raygui_buttons](raygui/raygui_buttons.pb)                              | <img src="raygui/screenshots/raygui_buttons.png" alt="textures_mouse_painting" width="200">                    | Danilo |     |
|    | [raygui_checkbox](raygui/raygui_checkbox.pb)                            | <img src="raygui/screenshots/raygui_checkbox.png" alt="textures_mouse_painting" width="200">                   | Danilo |     |
|    | [raygui_slider_and_progressbar](raygui/raygui_slider_and_progressbar.pb)| <img src="raygui/screenshots/raygui_slider_and_progressbar.png" alt="textures_mouse_painting" width="200">     | Danilo |     |
|    | [raygui_toggle_and_togglegroup](raygui/raygui_toggle_and_togglegroup.pb)| <img src="raygui/screenshots/raygui_toggle_and_togglegroup.png" alt="textures_mouse_painting" width="200">     | Danilo |     |
