;*******************************************************************************************
;*
;*   raygui - button example
;*
;*   LICENSE: zlib/libpng
;*
;*   Copyright (c) 2020 by Danilo Krahn, May 2020
;*
;*******************************************************************************************
IncludePath "./../../"                  ; First we need to include
XIncludeFile "raylib.pbi"               ; the raylib-purebasic import
XIncludeFile "raygui.pbi"               ; and the raygui file

UseModule ray
UseModule raygui

EnableExplicit

; Initialization
;>-------------------------------------------------------------------------------------
#SCREEN_WIDTH = 360
#SCREEN_HEIGHT = 160

InitWindow( #SCREEN_WIDTH, #SCREEN_HEIGHT, "raygui - buttons" )
If Not IsWindowReady()                  ; After creating the window, we check
    End                                 ; for errors at initialization.
EndIf                                   ; In case of error at init we end the program.

Dim button.Rectangle(15)

InitRectangle(@button(0), 10, 10, 100, 20)
InitRectangle(@button(1), 10, 40, 100, 20)
InitRectangle(@button(2), 10, 70, 100, 20)
InitRectangle(@button(3), 10,100, 100, 20)
InitRectangle(@button(4), 10,130, 100, 20)

InitRectangle(@button(5),130, 10, 100, 20)
InitRectangle(@button(6),130, 40, 100, 20)
InitRectangle(@button(7),130, 70, 100, 20)
InitRectangle(@button(8),130,100, 100, 20)
InitRectangle(@button(9),130,130, 100, 20)

InitRectangle(@button(10),250, 10, 100, 20)
InitRectangle(@button(11),250, 40, 100, 20)
InitRectangle(@button(12),250, 70, 100, 20)
InitRectangle(@button(13),250,100, 100, 20)
InitRectangle(@button(14),250,130, 100, 20)

Define i

SetTargetFPS(60)                   ; Set our game to run at 60 frames-per-second
;>-------------------------------------------------------------------------------------

; Main game loop
While Not WindowShouldClose()      ; Detect window close button or ESC key
    ; Update
    ;>---------------------------------------------------------------------------------
    ; TODO: Update
    ;>---------------------------------------------------------------------------------

    ; Draw
    ;>---------------------------------------------------------------------------------
    BeginDrawing()
    
        ClearBackground(GetColor(GuiGetStyle(#DEFAULT, #BACKGROUND_COLOR)))
        
        For i = 0 To 14
            If GuiButton(@button(i), "Button "+Str(i+1))
                SetWindowTitleRaylib("raygui - buttons (button pressed: "+Str(i+1)+")")
            EndIf
        Next

    EndDrawing()
    ;>---------------------------------------------------------------------------------
    
    ; If we want to have a screenshot
    If IsKeyPressed(ray::#KEY_F1)
        TakeScreenshot("screenshots/raygui_buttons.png")
    EndIf

Wend

; De-Initialization
;>-------------------------------------------------------------------------------------
CloseWindowRaylib()                ; Close window and OpenGL context
;>-------------------------------------------------------------------------------------
