;*******************************************************************************************
;*
;*   raygui - checkbox example
;*
;*   LICENSE: zlib/libpng
;*
;*   Copyright (c) 2020 by Danilo Krahn, May 2020
;*
;*******************************************************************************************
IncludePath "./../../"                  ; First we need to include
XIncludeFile "raylib.pbi"               ; the raylib-purebasic import
XIncludeFile "raygui.pbi"               ; and the raygui file

UseModule ray
UseModule raygui

EnableExplicit

; Initialization
;>-------------------------------------------------------------------------------------
#SCREEN_WIDTH = 360
#SCREEN_HEIGHT = 160

InitWindow( #SCREEN_WIDTH, #SCREEN_HEIGHT, "raygui - checkbox" )
If Not IsWindowReady()                  ; After creating the window, we check
    End                                 ; for errors at initialization.
EndIf                                   ; In case of error at init we end the program.

Dim checkbox.Rectangle(15)

InitRectangle(@checkbox( 0), 10, 10, 15, 15)
InitRectangle(@checkbox( 1), 10, 40, 15, 15)
InitRectangle(@checkbox( 2), 10, 70, 15, 15)
InitRectangle(@checkbox( 3), 10,100, 15, 15)
InitRectangle(@checkbox( 4), 10,130, 15, 15)

InitRectangle(@checkbox( 5),130, 10, 18, 18)
InitRectangle(@checkbox( 6),130, 40, 18, 18)
InitRectangle(@checkbox( 7),130, 70, 18, 18)
InitRectangle(@checkbox( 8),130,100, 18, 18)
InitRectangle(@checkbox( 9),130,130, 18, 18)

InitRectangle(@checkbox(10),250, 10, 21, 21)
InitRectangle(@checkbox(11),250, 40, 21, 21)
InitRectangle(@checkbox(12),250, 70, 21, 21)
InitRectangle(@checkbox(13),250,100, 21, 21)
InitRectangle(@checkbox(14),250,130, 21, 21)

Dim state.i(15)

state( 3) = #True : state( 5) = #True : state(10) = #True
state(12) = #True : state(14) = #True

Define i, oldState

SetTargetFPS(60)                   ; Set our game to run at 60 frames-per-second
;>-------------------------------------------------------------------------------------

; Main game loop
While Not WindowShouldClose()      ; Detect window close button or ESC key
    ; Update
    ;>---------------------------------------------------------------------------------
    ; TODO: Update
    ;>---------------------------------------------------------------------------------

    ; Draw
    ;>---------------------------------------------------------------------------------
    BeginDrawing()
    
        ClearBackground(GetColor(GuiGetStyle(#DEFAULT, #BACKGROUND_COLOR)))
        
        For i = 0 To 14
            oldState = state(i)
            state(i) = GuiCheckBox(@checkbox(i), "CheckBox "+Str(i+1),state(i))
            If oldState <> state(i)
                SetWindowTitleRaylib("raygui - checkbox (checkbox: "+Str(i+1)+", state: "+state(i)+")")
            EndIf
        Next

    EndDrawing()
    ;>---------------------------------------------------------------------------------
    
    ; If we want to have a screenshot
    If IsKeyPressed(ray::#KEY_F1)
        TakeScreenshot("screenshots/raygui_checkbox.png")
    EndIf

Wend

; De-Initialization
;>-------------------------------------------------------------------------------------
CloseWindowRaylib()                ; Close window and OpenGL context
;>-------------------------------------------------------------------------------------
