;*******************************************************************************************
;*
;*   raygui - frames example
;*
;*   LICENSE: zlib/libpng
;*
;*   Copyright (c) 2020 by Danilo Krahn, May 2020
;*
;*******************************************************************************************
IncludePath "./../../"                  ; First we need to include
XIncludeFile "raylib.pbi"               ; the raylib-purebasic import
XIncludeFile "raygui.pbi"               ; and the raygui file

UseModule ray
UseModule raygui

EnableExplicit

; Initialization
;>-------------------------------------------------------------------------------------
#SCREEN_WIDTH = 430
#SCREEN_HEIGHT = 250

InitWindow( #SCREEN_WIDTH, #SCREEN_HEIGHT, "raygui - frames" )
If Not IsWindowReady()                  ; After creating the window, we check
    End                                 ; for errors at initialization.
EndIf                                   ; In case of error at init we end the program.

SetTargetFPS(60)                   ; Set our game to run at 60 frames-per-second
;>-------------------------------------------------------------------------------------

; Main game loop
While Not WindowShouldClose()      ; Detect window close button or ESC key
    ; Update
    ;>---------------------------------------------------------------------------------
    ; TODO: Update
    ;>---------------------------------------------------------------------------------

    ; Draw
    ;>---------------------------------------------------------------------------------
    BeginDrawing()
    
        ClearBackground(GetColor(GuiGetStyle(#DEFAULT, #BACKGROUND_COLOR)))
        
        Define r.Rectangle
        InitRectangle(@r, 10, 10,200,200) : GuiGroupBox(@r,"GroupBox")
        InitRectangle(@r, 10,230,200, 10) : GuiLine(@r,"Line")
        InitRectangle(@r,220, 10,200,200) : GuiPanel(@r)
        InitRectangle(@r,220,230,200, 10) : GuiLabel(@r,"Label")

    EndDrawing()
    ;>---------------------------------------------------------------------------------
    
    ; If we want to have a screenshot
    If IsKeyPressed(ray::#KEY_F1)
        TakeScreenshot("screenshots/raygui_frames.png")
    EndIf

Wend

; De-Initialization
;>-------------------------------------------------------------------------------------
CloseWindowRaylib()                ; Close window and OpenGL context
;>-------------------------------------------------------------------------------------
