;*******************************************************************************************
;*
;*   raygui - slider and progressbar example
;*
;*   LICENSE: zlib/libpng
;*
;*   Copyright (c) 2020 by Danilo Krahn, May 2020
;*
;*******************************************************************************************
IncludePath "./../../"                  ; First we need to include
XIncludeFile "raylib.pbi"               ; the raylib-purebasic import
XIncludeFile "raygui.pbi"               ; and the raygui file

UseModule ray
UseModule raygui

EnableExplicit

; Initialization
;>-------------------------------------------------------------------------------------
#SCREEN_WIDTH = 630
#SCREEN_HEIGHT = 180

InitWindow( #SCREEN_WIDTH, #SCREEN_HEIGHT, "raygui - slider & progressbar" )
If Not IsWindowReady()                  ; After creating the window, we check
    End                                 ; for errors at initialization.
EndIf                                   ; In case of error at init we end the program.

Define value1.f = 20.0, value2.f = 40.0, value3.f = 60.0, value4.f = 80.0, value5.f = 100.0
Define bar1.f = 90, bar2.f = 80, bar3.f = 70.0, bar4.f = 60.0, bar5.f = 50.0

SetTargetFPS(60)                   ; Set our game to run at 60 frames-per-second
;>-------------------------------------------------------------------------------------

; Main game loop
While Not WindowShouldClose()      ; Detect window close button or ESC key
    ; Update
    ;>---------------------------------------------------------------------------------
    ; TODO: Update
    ;>---------------------------------------------------------------------------------

    ; Draw
    ;>---------------------------------------------------------------------------------
    BeginDrawing()
    
        ClearBackground(GetColor(GuiGetStyle(#DEFAULT, #BACKGROUND_COLOR)))
        
        Define r.Rectangle
        InitRectangle(@r,10, 10,190,160) : GuiGroupBox(@r, "Slider")
        InitRectangle(@r,50, 20,100, 20) : value1 = GuiSlider(@r,"1","100", value1, 1, 100)
        InitRectangle(@r,50, 50,100, 20) : value2 = GuiSlider(@r,"1","100", value2, 1, 100)
        InitRectangle(@r,50, 80,100, 20) : value3 = GuiSlider(@r,"1","100", value3, 1, 100)
        InitRectangle(@r,50,110,100, 20) : value4 = GuiSlider(@r,"Slider","", value4, 1, 100)
        InitRectangle(@r,50,140,100, 20) : value5 = GuiSlider(@r,"","Slider", value5, 1, 100)
        
        InitRectangle(@r,220, 10,190,160) : GuiGroupBox(@r, "SliderBar")
        InitRectangle(@r,260, 20,100, 20) : bar1 = GuiSliderBar(@r,"1","100", bar1, 1, 100)
        InitRectangle(@r,260, 50,100, 20) : bar2 = GuiSliderBar(@r,"1","100", bar2, 1, 100)
        InitRectangle(@r,260, 80,100, 20) : bar3 = GuiSliderBar(@r,"1","100", bar3, 1, 100)
        InitRectangle(@r,260,110,100, 20) : bar4 = GuiSliderBar(@r,"1","100", bar4, 1, 100)
        InitRectangle(@r,260,140,100, 20) : bar5 = GuiSliderBar(@r,"1","100", bar5, 1, 100)
        
        InitRectangle(@r,430, 10,190,160) : GuiGroupBox(@r, "ProgressBar")
        InitRectangle(@r,470, 20,100, 20) : GuiProgressBar(@r,"","", bar5, 1, 100)
        InitRectangle(@r,470, 50,100, 20) : GuiProgressBar(@r,"","", bar4, 1, 100)
        InitRectangle(@r,470, 80,100, 20) : GuiProgressBar(@r,"","", bar3, 1, 100)
        InitRectangle(@r,470,110,100, 20) : GuiProgressBar(@r,"","", bar2, 1, 100)
        InitRectangle(@r,470,140,100, 20) : GuiProgressBar(@r,"","", bar1, 1, 100)
        
        
    EndDrawing()
    ;>---------------------------------------------------------------------------------
    
    ; If we want to have a screenshot
    If IsKeyPressed(ray::#KEY_F1)
        TakeScreenshot("screenshots/raygui_slider_and_progressbar.png")
    EndIf

Wend

; De-Initialization
;>-------------------------------------------------------------------------------------
CloseWindowRaylib()                ; Close window and OpenGL context
;>-------------------------------------------------------------------------------------
