;*******************************************************************************************
;*
;*   raygui - toggle and togglegroup example
;*
;*   LICENSE: zlib/libpng
;*
;*   Copyright (c) 2020 by Danilo Krahn, May 2020
;*
;*******************************************************************************************
IncludePath "./../../"                  ; First we need to include
XIncludeFile "raylib.pbi"               ; the raylib-purebasic import
XIncludeFile "raygui.pbi"               ; and the raygui file

UseModule ray
UseModule raygui

EnableExplicit

; Initialization
;>-------------------------------------------------------------------------------------
#SCREEN_WIDTH = 600
#SCREEN_HEIGHT = 310

InitWindow( #SCREEN_WIDTH, #SCREEN_HEIGHT, "raygui - toggle & togglegroup" )
If Not IsWindowReady()                  ; After creating the window, we check
    End                                 ; for errors at initialization.
EndIf                                   ; In case of error at init we end the program.

Define toggleState1, toggleState2, toggleState3, toggleState4
Define vertToggleGroup=1, horzToggleGroup=2, combinedToggleGroup

Define text.s

SetTargetFPS(60)                   ; Set our game to run at 60 frames-per-second
;>-------------------------------------------------------------------------------------

; Main game loop
While Not WindowShouldClose()      ; Detect window close button or ESC key
    ; Update
    ;>---------------------------------------------------------------------------------
    ; TODO: Update
    ;>---------------------------------------------------------------------------------

    ; Draw
    ;>---------------------------------------------------------------------------------
    BeginDrawing()
    
        ClearBackground(GetColor(GuiGetStyle(#DEFAULT, #BACKGROUND_COLOR)))
        
        Define r.Rectangle
        InitRectangle(@r,10, 10,120,130) : GuiGroupBox(@r, "Single Toggle")
        InitRectangle(@r,20, 20,100, 20) : toggleState1 = GuiToggle(@r,"Toggle 1", toggleState1)
        InitRectangle(@r,20, 50,100, 20) : toggleState2 = GuiToggle(@r,"Toggle 2", toggleState2)
        InitRectangle(@r,20, 80,100, 20) : toggleState3 = GuiToggle(@r,"Toggle 3", toggleState3)
        InitRectangle(@r,20,110,100, 20) : toggleState4 = GuiToggle(@r,"Toggle 4", toggleState4)
        
        InitRectangle(@r,10,160,120,130) : GuiGroupBox(@r, "Vert ToggleGroup")
        ;
        ; Vertical ToggleGroup is separated by Chr(13) - Rows
        ;
        text = "Entry 1"+Chr(13)+
               "Entry 2"+Chr(13)+
               "Entry 3"+Chr(13)+
               "Entry 4"+Chr(13)+
               "Entry 5"
        InitRectangle(@r,20,170,100, 20) : vertToggleGroup = GuiToggleGroup(@r, text, vertToggleGroup)
        
        InitRectangle(@r,150,10,430, 40) : GuiGroupBox(@r, "Horizontal ToggleGroup")
        ;
        ; Horizontal ToggleGroup is separated by Chr(10) - Columns
        ;
        text = "Entry 1"+Chr(10)+
               "Entry 2"+Chr(10)+
               "Entry 3"+Chr(10)+
               "Entry 4"+Chr(10)+
               "Entry 5"
        InitRectangle(@r,160,20,80,20) : horzToggleGroup = GuiToggleGroup(@r, text, horzToggleGroup)
        
        InitRectangle(@r,150,70,175,230) : GuiGroupBox(@r, "Combined ToggleGroup")
        ;
        ; Combined ToggleGroup: Horizontal = Chr(10) - Columns
        ;                       Vertical   = Chr(13) - Rows
        ;
        text = "1"+Chr(10)+"2"+Chr(10)+"3"+Chr(13)+
               "4"+Chr(10)+"5"+Chr(10)+"6"+Chr(13)+
               "7"+Chr(10)+"8"+Chr(10)+"9"+Chr(13)+
               "*"+Chr(10)+"0"+Chr(10)+"#"
        InitRectangle(@r,160,80,50,50) : combinedToggleGroup = GuiToggleGroup(@r, text, combinedToggleGroup)
        
    EndDrawing()
    ;>---------------------------------------------------------------------------------
    
    ; If we want to have a screenshot
    If IsKeyPressed(ray::#KEY_F1)
        TakeScreenshot("screenshots/raygui_toggle_and_togglegroup.png")
    EndIf

Wend

; De-Initialization
;>-------------------------------------------------------------------------------------
CloseWindowRaylib()                ; Close window and OpenGL context
;>-------------------------------------------------------------------------------------
