;*******************************************************************************************
;*
;*   raylib [text] example - Text Writing Animation
;*
;*   This example has been created using raylib 2.3 (www.raylib.com)
;*   raylib is licensed under an unmodified zlib/libpng license (View raylib.h for details)
;*
;*   Copyright (c) 2016 Ramon Santamaria (@raysan5)
;*
;*   Translated to PureBasic by Danilo Krahn, May 2020
;*
;********************************************************************************************
IncludePath "./../../"                  ; First we need to include
XIncludeFile "raylib.pbi"               ; the raylib-purebasic import

EnableExplicit                          ; All variables have to be defined before use

UseModule ray                           ; Import the module

; Initialization
;>-------------------------------------------------------------------------------------
#SCREEN_WIDTH = 800
#SCREEN_HEIGHT = 450

InitWindow( #SCREEN_WIDTH, #SCREEN_HEIGHT, "raylib [text] example - text writing anim" )
If Not IsWindowReady()                  ; After creating the window, we check
    End                                 ; for errors at initialization.
EndIf                                   ; In case of error at init we end the program.

#message = ~"This sample illustrates a text writing\nanimation effect! Check it out! ;)"

Define framesCounter

SetTargetFPS(60)                        ; Set our game to run at 60 frames-per-second
;>-------------------------------------------------------------------------------------

; Main game loop
While Not WindowShouldClose()           ; Detect window close button or ESC key
    ; Update
    ;>---------------------------------------------------------------------------------
    If IsKeyDown(#KEY_SPACE) : framesCounter + 8
    Else                     : framesCounter + 1
    EndIf

    If IsKeyPressed(#KEY_ENTER) Or framesCounter < 0
        framesCounter = 0
    EndIf
    ;>---------------------------------------------------------------------------------

    ; Draw
    ;>---------------------------------------------------------------------------------
    BeginDrawing()
    
        ClearBackground(#COLOR_RAYWHITE)

        DrawTextRaylib(Mid(#message, 0, framesCounter/10), 210, 160, 20, #COLOR_MAROON)

        DrawTextRaylib("PRESS [ENTER] to RESTART!", 240, 260, 20, #COLOR_LIGHTGRAY)
        DrawTextRaylib("PRESS [SPACE] to SPEED UP!", 239, 300, 20, #COLOR_LIGHTGRAY)

    EndDrawing()
    ;>---------------------------------------------------------------------------------
    
    If IsKeyPressed(#KEY_F1)
        TakeScreenshot("screenshots/text_writing_anim.png")
    EndIf
    
Wend

; De-Initialization
;>-------------------------------------------------------------------------------------
CloseWindowRaylib()                     ; Close window and OpenGL context
;>-------------------------------------------------------------------------------------
